package view 
{
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	/**
	 * ステップ削除ボタン
	 * @author nomura masayuki
	 */
	public class MinusBtn extends MovieClip
	{
		
		public static const MINUSBTN_CLICK:String = "view.MinusBtn.MINUSBTN_CLICK";
		
		/**
		 * コンストラクタ
		 */
		public function MinusBtn() 
		{
			if (stage)
				f_init();
			else
				addEventListener(Event.ADDED_TO_STAGE, f_init);								 
		}
		
		/**
		 * 初期化処理
		 * @param	p_ev
		 */
		private function f_init(p_ev:Event = null):void
		{
			if (p_ev) removeEventListener(Event.ADDED_TO_STAGE, f_init);
			
			mouseChildren = false;
			mouseEnabled = true;
			useHandCursor = true;
			
			addEventListener(MouseEvent.CLICK, clickHandler);
		}
		
		/**
		 * クリックハンドラ
		 * @param	p_ev
		 */
		private function clickHandler(p_ev:MouseEvent):void
		{
			dispatchEvent(new Event(MINUSBTN_CLICK));
		}
		
	}

}